AM261x MCU+ SDK: OSPI_Attrs Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
OSPI_Attrs Struct Reference
APIs for SOC Specific Device Drivers » APIs for OSPI

## Detailed Description

OSPI instance attributes - used during init time.

## Data Fields
uint32_t | baseAddr
uint32_t | dataBaseAddr
uint32_t | moduleId
uint32_t | clkId
uint32_t | inputClkFreq
uint32_t | protocol
uint32_t | intrNum
uint32_t | intrEnable
uint8_t | intrPriority
uint32_t | dmaEnable
uint32_t | phyEnable
uint32_t | dacEnable
uint32_t | frmFmt
uint32_t | devDelays [4]
uint32_t | chipSelect
uint32_t | decChipSelect
uint32_t | baudRateDiv
uint32_t | validateOtp
const OSPI_AddrRegion * | dmaRestrictedRegions
OSPI_PhyConfiguration | phyConfiguration

## Field Documentation

## ◆ baseAddr

uint32_t OSPI_Attrs::baseAddr

Peripheral base address

## ◆ dataBaseAddr

uint32_t OSPI_Attrs::dataBaseAddr

Base address of the OSPI flash

## ◆ moduleId

uint32_t OSPI_Attrs::moduleId

OSPI Module Id

## ◆ clkId

uint32_t OSPI_Attrs::clkId

OSPI Clock Id

## ◆ inputClkFreq

uint32_t OSPI_Attrs::inputClkFreq

Module input clock frequency

## ◆ protocol

uint32_t OSPI_Attrs::protocol

Protocol for OSPI reading/writing. 32 bit integer with byte0 -> data lines byte1 -> addr lines byte2 -> cmd lines byte3 -> STR/DTR (0 = STR, 1 = DTR)

## ◆ intrNum

uint32_t OSPI_Attrs::intrNum

Peripheral interrupt number

## ◆ intrEnable

uint32_t OSPI_Attrs::intrEnable

Enable interrupt mode

## ◆ intrPriority

uint8_t OSPI_Attrs::intrPriority

Interrupt priority

## ◆ dmaEnable

uint32_t OSPI_Attrs::dmaEnable

Enable DMA mode

## ◆ phyEnable

uint32_t OSPI_Attrs::phyEnable

Enable PHY mode

## ◆ dacEnable

uint32_t OSPI_Attrs::dacEnable

Enable DAC mode

## ◆ frmFmt

uint32_t OSPI_Attrs::frmFmt

Ospi Frame Format

## ◆ devDelays

uint32_t OSPI_Attrs::devDelays[4]

OSPI device delays (CSSOT, CSEOT, CSDADS and CSDA delays)

## ◆ chipSelect

uint32_t OSPI_Attrs::chipSelect

Ospi Chip select number

## ◆ decChipSelect

uint32_t OSPI_Attrs::decChipSelect

Decoder Chip select number

## ◆ baudRateDiv

uint32_t OSPI_Attrs::baudRateDiv

Baud-rate divisor to derive DQS and other output clks

## ◆ validateOtp

uint32_t OSPI_Attrs::validateOtp

Enable Phy Tuning Point validatation

## ◆ dmaRestrictedRegions

const OSPI_AddrRegion* OSPI_Attrs::dmaRestrictedRegions

Pointer to array of OSPI_AddrRegion data structures filled by SysConfig. The array should be terminated by a { 0xFFFFFFFFU, 0U } entry. It is used while using DMA copy to check if the destination address is a region not accessible to DMA and switch to CPU copy

## ◆ phyConfiguration

OSPI_PhyConfiguration OSPI_Attrs::phyConfiguration

OSPI PHY configuration params